package com.infoepoch.pms.dispatchassistant.domain.langchain.record.conversation.line.history;

public class ConversationLineHistory {

    public ConversationLineHistory() {
    }

    /**
     * 仓储还原
     * @param id
     * @param lineId
     * @param role
     * @param content
     * @param sequence
     */
    public ConversationLineHistory(String id, String lineId, String role, String content, Integer sequence) {
        this.id = id;
        this.lineId = lineId;
        this.role = role;
        this.content = content;
        this.sequence = sequence;
    }

    /**
     * 主键
     */
    private String id;
    /**
     *  关联的会话行ID
     */
    private String lineId;
    /**
     * 角色名称
     */
    private String role;
    /**
     * 内容
     */
    private String content;
    /**
     * 序号
     */
    private Integer sequence;

    public String getId() {
        return id;
    }

    public String getLineId() {
        return lineId;
    }

    public String getRole() {
        return role;
    }

    public String getContent() {
        return content;
    }

    public Integer getSequence() {
        return sequence;
    }
}
